%{?nodejs_find_provides_and_requires}

%global packagename spdx-exceptions
%global enable_tests 1

Name:		nodejs-spdx-exceptions
Version:	1.0.4
Release:	%mkrel 6
Group:          Development/Java
Summary:	A list of SPDX standard license exceptions

License:	CC-BY
URL:		https://github.com/kemitchell/spdx-exceptions.json.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
# BuildRequires for tests go here
%endif

Requires:	nodejs

%description
List of SPDX standard license exceptions


%prep
%setup -q -n package


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr *.json \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
# Test runner goes here
echo "There are no tests...."
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%{nodejs_sitelib}/%{packagename}



%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.0.4-6.mga10
+ Revision: 2207504
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 1.0.4-5.mga9
+ Revision: 1816978
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.0.4-4.mga8
+ Revision: 1492642
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.0.4-3.mga7
+ Revision: 1265305
- Mageia 7 Mass Rebuild

* Wed Sep 28 2016 neoclust <neoclust> 1.0.4-2.mga6
+ Revision: 1057377
- imported package nodejs-spdx-exceptions

